<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>AnimatRob; animat with Unity and ROS</title>
    <link rel="stylesheet" href="style.css">
  </head>
  <body>
    <div class="navbar">
      
      <a href="https://gitlab.inria.fr/openbiscuit/software/animat-unity">Code Source (Gitlab)</a>
      <span>&nbsp;|&nbsp;</span>
      <a href="https://biscuit.loria.fr/">Equipe BISCUIT</a>
    </div>

    <h1>AnimatRob</h1>

    <p>Environnement "Animat" qui s'appuie sur ROS + Unity3D.<br/>Utilisé par l'équipe <a href="https://biscuit.loria.fr/">BISCUIT</a> du laboratoire <a href="http://www.loria.fr">Loria</a> laboratory de Nancy, France.<p>

    <p>Actuellement, deux version coexistent. La V0.4 utilise ROS et la v0.6 utilise ROS2.<p>

      <h3>Installation</h3>
    <p>Télécharger le fichier <a href="https://mybox.inria.fr/f/f815a92612bb44fdbc35/?dl=1">animat_0.6.tgz</a> et le désarchiver (<code>tag xzvf animat_0.6.tgz</code>).</p>

    <p>Télécharger le fichier <a href="https://mybox.inria.fr/f/497c48ac1fde41f78f3e/?dl=1">animat_0.5.tgz</a> et le désarchiver (<code>tag xzvf animat_0.5.tgz</code>).</p>

    <p>Télécharger le fichier <a href="https://mybox.inria.fr/f/a88c20338389424ca9ba/?dl=1">animat_0.4.tgz</a> et le désarchiver (<code>tag xzvf animat_0.4.tgz</code>).</p>

    <p>Il existe d'anciennes versions, voir avec Alain.</p>

      <h3>Utilisation</h3>
    <p>Lancer avec : <code>.animat_0.4.x86_64</code> ou <code>.animat_v0.6.x86_64</code></p>
    <p>Options
      <ul>
        <li><code>--sceneFile &lt;sceneFile.yaml&gt;</code> pour spécifier un fichier de configuration d'une scène</li>
      </ul>
    </p>

    <p>L'environnement utilise les topics ROS suivants (on peut le vérifier avec la commande <code>rostopic list</code>) :
      <ul>
        <li><code>/animat/odom</code> [pub] pose de l'animat.</li>
        <li><code>/animat/server_cmd</code> [sub] commande pour le simulateur (play/pause/reset).</li>
        <li><code>/animat/physio</code> [pub] état de la physiologie interne de l'animat (food/water).</li>
        <li><code>/animat/consume_cmd</code> [sub] action de consommation ("eat", "drink", "none")
        <li><code>/animat/wheel_cmd</code> [sub] commande de vélocité pour chaque roue.</li>
        <li><code>/animat/vision/compressed</code> [pub] image (compressed) de la vision de l'animat.</li>
        <li>---</li>
        <li>[ROS only]<code>/animat/joint</code> [pub] articulations de l'animat.</li>
        <li>[ROS only]<code>/animat_vision/compressed</code> [pub] image (compressed) de la vision de l'animat.</li>
      </ul>
      
    </p>

    <hr>
    <p>Dernière mise à jour : 03/03/2021</p>
  </body>
</html>
